summaryrefslogtreecommitdiffstats
path: root/desktop/ffmpegthumbnailer
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 20:00:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:06 +0200
commit91a4961791c43eba09264b4e7a1b3158de95eae5 (patch)
treebef698b4999eab9ba5b93060f5bec449f0ebada1 /desktop/ffmpegthumbnailer
parenta5ea4df026296f9f43089783a2144ef4fe8f6f36 (diff)
downloadslackbuilds-91a4961791c43eba09264b4e7a1b3158de95eae5.tar.gz
slackbuilds-91a4961791c43eba09264b4e7a1b3158de95eae5.tar.xz
desktop/ffmpegthumbnailer: Added to 12.0 repository
Diffstat (limited to 'desktop/ffmpegthumbnailer')
-rw-r--r--desktop/ffmpegthumbnailer/README6
-rw-r--r--desktop/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild80
-rw-r--r--desktop/ffmpegthumbnailer/ffmpegthumbnailer.info8
-rw-r--r--desktop/ffmpegthumbnailer/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/desktop/ffmpegthumbnailer/README b/desktop/ffmpegthumbnailer/README
new file mode 100644
index 0000000000..b4846fa073
--- /dev/null
+++ b/desktop/ffmpegthumbnailer/README
@@ -0,0 +1,6 @@
+FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
+file managers to create thumbnails for your video files. The thumbnailer
+uses ffmpeg to decode frames from the video files, so supported videoformats
+depend on the configuration flags of ffmpeg.
+
+ffmpeg (also available at SlackBuilds) is required to build this package.
diff --git a/desktop/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild b/desktop/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild
new file mode 100644
index 0000000000..d17a6f7c1e
--- /dev/null
+++ b/desktop/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for FFmpegthumbnailer
+
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ffmpegthumbnailer
+VERSION=1.1.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+find $PKG -type f -size 0c -exec rm {} \; 2>/dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/ffmpegthumbnailer/ffmpegthumbnailer.info b/desktop/ffmpegthumbnailer/ffmpegthumbnailer.info
new file mode 100644
index 0000000000..3f6921b087
--- /dev/null
+++ b/desktop/ffmpegthumbnailer/ffmpegthumbnailer.info
@@ -0,0 +1,8 @@
+PRGNAM="ffmpegthumbnailer"
+VERSION="1.1.5"
+HOMEPAGE="http://code.google.com/p/ffmpegthumbnailer/"
+DOWNLOAD="http://ffmpegthumbnailer.googlecode.com/files/ffmpegthumbnailer-1.1.5.tar.gz"
+MD5SUM="3fd10a22eb34e28bd670c8d9aa6b6d38"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/desktop/ffmpegthumbnailer/slack-desc b/desktop/ffmpegthumbnailer/slack-desc
new file mode 100644
index 0000000000..7bbb0aed36
--- /dev/null
+++ b/desktop/ffmpegthumbnailer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------|
+ffmpegthumbnailer: FFmpegthumbnailer (Lightweight Video Thumbnailer)
+ffmpegthumbnailer:
+ffmpegthumbnailer: FFmpegthumbnailer is a lightweight video thumbnailer that
+ffmpegthumbnailer: can be used by file managers to create thumbnails for your
+ffmpegthumbnailer: video files. The thumbnailer uses ffmpeg to decode frames
+ffmpegthumbnailer: from the video files, so supported videoformats depend on
+ffmpegthumbnailer: the configuration flags of ffmpeg.
+ffmpegthumbnailer:
+ffmpegthumbnailer: Homepage: http://code.google.com/p/ffmpegthumbnailer/
+ffmpegthumbnailer:
+ffmpegthumbnailer: